﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RealProxyAop
{
    public class AopTransparentProxy
    {
        public static T Create<T>()
        {
            T instance = Activator.CreateInstance<T>();
            AopRealProxy<T> aopRealProxy = new AopRealProxy<T>(instance);
            T aopTransparentProxy = (T)aopRealProxy.GetTransparentProxy();
            return aopTransparentProxy;
        }
    }
}
