﻿using ContextAop.Enum;
using ContextAop.Helper;
using System;

namespace ContextAop.Attribute
{
    [AopProxyAttribute]
    public class AopTestClass : ContextBoundObject
    {
        public string content { get; set; }
        public AopTestClass(string content)
        {
            this.content = content;
        }

        public AopTestClass()
        {
            Console.WriteLine("初始化构造函数");
        }

        [MethodInterception(InterceptionType.Before)]
        public string Before()
        {
            return "Before";
        }

        [MethodInterception(InterceptionType.After)]
        public string After()
        {
            return "After";
        }

        [MethodInterception(InterceptionType.Exception)]
        public string Exception(string content)
        {
                //Convert.ToInt32(content);
                return content;
        }

        [MethodInterception(InterceptionType.None)]
        public  void deleteData()
        {
            string deleteSql = "DELETE FROM tblmessage WHERE ID='0aa080c81ce546efbb82d7a4fc5357ab'";
            var result = MySqlDBManager.ExecuteNonQuery(deleteSql);

            string deleteSql2 = "DELETE FROM tblmessage WHERE ID1='5c02208f182045888df24fc19c7c31af'";
            var result2 = MySqlDBManager.ExecuteNonQuery(deleteSql2);

            string xxx = "";
        }
    }

}
