﻿using ContextAop.Enum;

namespace ContextAop.Attribute
{
    public class MethodInterceptionAttribute : System.Attribute
    {
        private InterceptionType interceptionType = InterceptionType.None;
        public MethodInterceptionAttribute(InterceptionType interceptionType)
        {
            this.interceptionType = interceptionType;
        }

        public InterceptionType AdviceType
        {
            get { return this.interceptionType; }
        }
    }
}
